Bug 111898 - rpm should use http_proxy environment variable when present
Summary: rpm should use http_proxy environment variable when present
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
(Show other bugs)
Version: 1
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-11 14:19 UTC by Ricky Ng-Adam
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-26 10:28:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ricky Ng-Adam 2003-12-11 14:19:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
The rpm man page is clear on how to use proxy and it works, but why
not use the http_proxy variable as most command-line programs do?

Also, why not permit the convention 

http://proxy_host_name:port 

for --httpproxy?

Version-Release number of selected component (if applicable):
rpm-4.2.1-0.30

How reproducible:
Always

Steps to Reproduce:
1. export http_proxy=http://proxy_host_name:port
2. try to install an http:// package with RPM without specifying proxy

    

Actual Results:  
[root@localhost /]# rpm -Uvh
http://sluglug.ucsc.edu/macromedia/apt/fedora/1/RPMS.macromedia/flash-plugin-6.0.79-2.i386.rpm
Retrieving
http://sluglug.ucsc.edu/macromedia/apt/fedora/1/RPMS.macromedia/flash-plugin-6.0.79-2.i386.rpm
(hangs there doing nothing)


Expected Results:  The package should have downloaded and installed
correctly


Additional info:

yum, wget, lynx etc works with the http_proxy environment variable set.

Comment 1 Jeff Johnson 2004-01-26 10:28:19 UTC
--httpproxy is not what you are expecting, but is a rather
old implementation based on the TIS proxy server. SO there's
little need to grok a shell envvar for a non-existent implementation.

I'd rather see a macro rather than a shell env, as rpm may
not always run underneath a shell.


Note You need to log in before you can comment on or make changes to this bug.